function likelihood = Lfunc_LC(X)

load ../data/subsamples/198801_201212 yr_month r m p p12 cao_x rbar s p12lag plag rlag rbarlag slag qelag mlag cao_xlag  trend qe 

%% m equation, qe=2or3;
alpha_ms=X(1);beta_ms=X(2:4);sig_ms=X(5);

% transformed data
ye     = [ones(length(trend(qe>1)),1)*alpha_ms+[p12(qe>1) cao_x(qe>1) mlag(qe>1)]*beta_ms'];
resid  = m(qe>1)-ye;
g1     = normpdf(resid,0,sig_ms);

samplesize=length(g1);
temp0=0;
for t=1:samplesize;
    temp1=temp0+log(g1(t));
    temp0=temp1;
end

LC=temp0;
likelihood=-LC;
