function likelihood = Lfunc_LB(X)

load ../data/subsamples/199201_201212.mat 

alpha         = X(1);
gamma         = X(2); %gamma=1-rho
beta          = X(3:4)';
inv_sig_r     = X(5);
pibar         = X(6);
inv_sig_pibar = X(7);
trendcoeff    = X(8);

% transformed data
re      = ones(length(r),1)*alpha+[p12 cao_x]*beta+rlag*gamma+trend*trendcoeff;
resid_r = r-re;
diff    = re-rbar;
Fr     = normcdf(diff*inv_sig_r);
Fpibar = normcdf((p12-pibar)*inv_sig_pibar);
g1     = normpdf(resid_r,0,1/inv_sig_r);

T=length(re);
temp0=0;
for t=1:T;
    if slag(t)==1 
        if s(t)==1
            temp1=temp0+log(g1(t));
        else
            temp1=temp0+log(1-Fr(t));
        end
    else
        if  s(t)==1
            temp1=temp0+log(g1(t)*Fpibar(t));
        else 
            temp1=temp0+log(1-Fr(t)*Fpibar(t));
        end
    end
    temp0=temp1;
end

LB=temp0;
likelihood=-LB;