function likelihood = Lfunc_LA_Z(X)


load ../data/subsamples/Lagged_subsampleZ  yr_month p hp_x r m plag rlag mlag hp_xlag qelag hp_trend hp_xlag 

c2_Z=[X(1);X(7)];Phi2_Z=[X(2:6);X(8:12)]; 
S2_Z=[X(13) 0;X(14:15)];
% transformed data
ye     = [ones(length(hp_trend),1)*c2_Z(1)+[hp_trend  plag hp_xlag rlag mlag ]*Phi2_Z(1,:)',...
          ones(length(hp_trend),1)*c2_Z(2)+[hp_trend  plag hp_xlag rlag mlag ]*Phi2_Z(2,:)'];
resid  = [p hp_x]-ye;
g1     = mvnpdf(resid,[0 0],S2_Z*S2_Z');

samplesize=length(hp_trend);
temp0=0;
for t=1:samplesize;
    temp1=temp0+log(g1(t));
    temp0=temp1;
end

LA=temp0;
likelihood=-LA;