function likelihood = Lfunc_LA(X)


load ../data/subsamples/Lagged_subsampleZ  yr_month p cao_x r m plag rlag mlag cao_xlag 

c2_Z=[X(1);X(6)];Phi2_Z=[X(2:5);X(7:10)]; 
S2_Z=[X(11) 0;X(12:13)];
% transformed data
ye     = [ones(length(p),1)*c2_Z(1)+[ plag cao_xlag rlag mlag ]*Phi2_Z(1,:)',...
          ones(length(p),1)*c2_Z(2)+[  plag cao_xlag rlag mlag ]*Phi2_Z(2,:)'];
resid  = [p cao_x]-ye;
g1     = mvnpdf(resid,[0 0],S2_Z*S2_Z');

samplesize=length(p);
temp0=0;
for t=1:samplesize
    temp1=temp0+log(g1(t));
    temp0=temp1;
end

LA=temp0;
likelihood=-LA;