function likelihood = Lfunc_LA(X)


load ../data/subsamples/Lagged_subsampleP_199503  yr_month p cao_x r  plag rlag mdlag cao_xlag   trend 

c2_P=[X(1);X(7)];Phi2_P=[X(2:6);X(8:12)]; 
S2_P=[X(13) 0;X(14:15)];
% transformed data

ye     = [ones(length(trend),1)*c2_P(1)+[trend plag cao_xlag rlag mdlag  ]*Phi2_P(1,:)',...
          ones(length(trend),1)*c2_P(2)+[trend plag cao_xlag rlag mdlag ]*Phi2_P(2,:)'];

resid  = [p cao_x]-ye;
g1     = mvnpdf(resid,[0 0],S2_P*S2_P');

samplesize=length(trend);
temp0=0;
for t=1:samplesize;
    temp1=temp0+log(g1(t));
    temp0=temp1;
end

LA=temp0;
likelihood=-LA;