function likelihood = Lfunc_LA(X)


load ../data/subsamples/Lagged_subsampleW  yr_month p cao_x  plag  mdlag cao_xlag 

c2_W=[X(1);X(5)];Phi2_W=[X(2:4);X(6:8)]; 
S2_W=[X(9) 0;X(10:11)];
% transformed data
ye     = [ones(length(p),1)*c2_W(1)+[ plag cao_xlag  mdlag ]*Phi2_W(1,:)',...
          ones(length(p),1)*c2_W(2)+[  plag cao_xlag mdlag ]*Phi2_W(2,:)'];
resid  = [p cao_x]-ye;
g1     = mvnpdf(resid,[0 0],S2_W*S2_W');

samplesize=length(p);
temp0=0;
for t=1:samplesize;
    temp1=temp0+log(g1(t));
    temp0=temp1;
end

LA=temp0;
likelihood=-LA;