function likelihood = Lfunc_LA_P(X)


load ../data/subsamples/Lagged_subsampleP_199503  yr_month p hp_x r m plag rlag mlag hp_xlag hp_trend

c2_P=[X(1);X(6)];Phi2_P=[X(2:5);X(7:10)]; 
S2_P=[X(11) 0;X(12:13)];
% transformed data
samplesize=length(p);
ye     = [ones(samplesize,1)*c2_P(1)+[hp_trend plag hp_xlag rlag  ]*Phi2_P(1,:)',...
          ones(samplesize,1)*c2_P(2)+[hp_trend plag hp_xlag rlag  ]*Phi2_P(2,:)'];

resid  = [p hp_x]-ye;
g1     = mvnpdf(resid,[0 0],S2_P*S2_P');

temp0=0;
for t=1:samplesize;
    temp1=temp0+log(g1(t));
    temp0=temp1;
end

LA=temp0;
likelihood=-LA;