function likelihood = Lfunc_LB_notrend(theta)

load ../data/subsamples/199201_201212.mat 

alpha     = theta(1);
gamma     = theta(2); %gamma=1-rho
beta      = theta(3:4)';
inv_sig_r = theta(5);
pibar     = theta(6);
inv_sig_pibar = theta(7);

% transformed data
re      = ones(length(r),1)*alpha+[p12 cao_x]*beta+rlag*gamma;
resid_r = r-re;
diff    = re-rbar;
Fr     = normcdf(diff*inv_sig_r);
Fpibar = normcdf((p12-pibar)*inv_sig_pibar);
g1     = normpdf(resid_r,0,1/inv_sig_r);

T=length(re);
temp0=0;
for t=1:T;
    if slag(t)==1 
        if s(t)==1
            temp1=temp0+log(g1(t));
        else
            temp1=temp0+log(1-Fr(t));
        end
    else
        if  s(t)==1
            temp1=temp0+log(g1(t)*Fpibar(t));
        else 
            temp1=temp0+log(1-Fr(t)*Fpibar(t));
        end
    end
    temp0=temp1;
end

LB=temp0;
likelihood=-LB;